%define qtmajor 5
%define qtminor 0
%define qtsubminor 2
%define rel 2

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtjsbackend-opensource-src-%{qtversion}


%define libqtv8 %mklibname qt5v 8 %qtmajor
%define libqtv8_d %mklibname qt5v 8 -d
%define libqtv8_p_d %mklibname qt5v8-private -d

Name: qtjsbackend5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://releases.qt-project.org/qt5/%{version}/submodules_tar//%{qttarballdir}.tar.xz
BuildRequires: qtbase5-common-devel

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt GUI toolkit

#------------------------------------------------------------------------------

%package -n %{libqtv8}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqtv8}
Qt%{qtmajor} Lib.

%files -n %{libqtv8}
%{_qt5_libdir}/libQt5V8.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtv8_d}
Summary: Devel files needed to build apps based on QtV8
Group:    Development/KDE and Qt
Requires: %{libqtv8} = %version
Requires: qtbase5-common-devel = %version
Provides: libqt5v8-devel = %version
Provides: qt5v8-devel = %version

%description -n %{libqtv8_d}
Devel files needed to build apps based on QtV8.

%files -n %{libqtv8_d}
%{_qt5_libdir}/libQt5V8.so
%{_qt5_libdir}/libQt5V8.prl
%{_qt5_libdir}/pkgconfig/Qt5V8.pc
%{_qt5_includedir}/QtV8/QtV8Version
%{_qt5_includedir}/QtV8/qtv8version.h
%{_qt5_includedir}/QtV8
%exclude %{_qt5_includedir}/QtV8/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_v8.pri

#------------------------------------------------------------------------------

%package -n %{libqtv8_p_d}
Summary: Devel files needed to build apps based on QtV8
Group:    Development/KDE and Qt
Requires: %{libqtv8_d} = %version
Provides: libqt5v8-private-devel = %version
Provides: qt5v8-private-devel = %version

#Requires: qt5qml-private-devel = %version

%description -n %{libqtv8_p_d}
Devel files needed to build apps based on QtV8.

%files -n %{libqtv8_p_d}
%{_qt5_includedir}/QtV8/%qtversion

#------------------------------------------------------------------------------


%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a


%changelog

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-2.mga3
+ Revision: 410361
- Relax requires

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410272
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-2.mga3
+ Revision: 394016
- Fix requires

* Fri Feb 01 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393874
- New version 5.0.1 Final

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 393544
- Split private headers

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392356
- New version 5.0.1 rc1

  + fwang <fwang>
    - use xz

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-4.mga3
+ Revision: 391737
- Rebuild with new path

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-3.mga3
+ Revision: 391683
- Rebuild with new path

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 380002
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 335558
- Qt 5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 323179
- New rc1 dayli snapshot

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 319212
- Fix requires/provides

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319121
- imported package qtjsbackend5

